<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface UserWebTokenInterface
{
    public const USERWEBTOKEN_ID = 'id';

    public const USER_ID = 'user_id';

    public const TOKEN = 'token';

    /**
     * Get userwebtoken_id
     *
     * @return string|null
     */
    public function getUserwebtokenId();

    /**
     * Set userwebtoken_id
     *
     * @param string $userwebtokenId
     * @return \WriteTextAI\WriteTextAI\UserWebToken\Api\Data\UserWebTokenInterface
     */
    public function setUserwebtokenId($userwebtokenId);

    /**
     * Get user_id
     *
     * @return string|null
     */
    public function getUserId();

    /**
     * Set user_id
     *
     * @param string $userId
     * @return \WriteTextAI\WriteTextAI\UserWebToken\Api\Data\UserWebTokenInterface
     */
    public function setUserId($userId);

    /**
     * Get token
     *
     * @return string|null
     */
    public function getToken();

    /**
     * Set token
     *
     * @param string $token
     * @return \WriteTextAI\WriteTextAI\UserWebToken\Api\Data\UserWebTokenInterface
     */
    public function setToken($token);
}
